[ ca ]
default_ca		= CA_default

[ CA_default ]
dir			= {{config.certs.dir}}
certs			= $dir
crl_dir			= $dir/crl
database		= $dir/index.txt
new_certs_dir		= $dir
certificate		= $dir/client.pem
serial			= $dir/serial
crl			= $dir/crl.pem
private_key		= $dir/serial.key
RANDFILE		= $dir/.rand
name_opt		= ca_default
cert_opt		= ca_default
default_days		= 36500
default_crl_days	= 36500
default_md		= sha256
preserve		= no
policy			= policy_match
unique_subject  = no

[ policy_match ]
countryName		= match
stateOrProvinceName	= optional
organizationName	= optional
organizationalUnitName	= optional
commonName		= supplied
emailAddress		= optional

[ policy_anything ]
countryName		= optional
stateOrProvinceName	= optional
localityName		= optional
organizationName	= optional
organizationalUnitName	= optional
commonName		= supplied
emailAddress		= optional

[ req ]
prompt			= no
distinguished_name	= client
default_bits		= 2048
input_password		= {{config.certs.client.passphrase}}
output_password		= {{config.certs.client.passphrase}}

[client]
countryName		= {{config.certs.ca.countryName}}
{% if config.certs.ca.stateOrProvinceName %}stateOrProvinceName	= {{config.certs.ca.stateOrProvinceName}}{% endif %}
{% if config.certs.ca.localityName %}localityName		= {{config.certs.ca.localityName}}{% endif %}
{% if config.certs.ca.organizationName %}organizationName	= {{config.certs.ca.organizationName}}{% endif %}
{% if config.certs.ca.emailAddress %}emailAddress		= {{config.certs.ca.emailAddress}}{% endif %}
commonName		= {{config.certs.client.commonName}}
