# -*- text -*-
##
##  eap.conf -- Configuration for EAP types (PEAP, TTLS, etc.)
##

eap {
	timer_expire = {{config.mods.eap.timer_expire|safe}}
	ignore_unknown_eap_types = no
	cisco_accounting_username_bug = {{config.mods.eap.cisco_accounting_username_bug|safe}}
	max_sessions = ${max_requests}
	md5 {
	}
	mschapv2 {
	}
	{% if config.default_eap_type == "reject" %}
	default_eap_type = md5
	rejected
	{% else %}
	default_eap_type = {{config.default_eap_type|safe}}
	tls {
		certdir = ${confdir}/certs
		cadir = ${confdir}/certs
		private_key_password = {{config.certs.server.passphrase|safe}}
		private_key_file = ${certdir}/server.pem
		certificate_file = ${certdir}/server.pem
		{% if config.method.eaptls %}# enable tls
		CA_file = ${cadir}/ca.pem
		{% else %}# disable eaptls
		CA_file = ${cadir}/ca2.pem{% endif %}
		dh_file = ${certdir}/dh
		fragment_size = {{config.mods.eap.tls_common.fragment_size|safe}}
		include_length = {{config.mods.eap.tls_common.include_length|safe}}
		check_crl = {{config.mods.eap.tls_common.check_crl|safe}}
		check_all_crl = {{config.mods.eap.tls_common.check_all_crl|safe}}
		CA_path = ${cadir}/
		cipher_list = {{config.mods.eap.tls_common.cipher_list|safe}}
		make_cert_command = "${certdir}/make"
		ecdh_curve = {{config.mods.eap.tls_common.ecdh_curve|safe}}
		cache {
			enable = {{config.mods.eap.tls_common.cache.enable|safe}}
			lifetime = {{config.mods.eap.tls_common.cache.lifetime|safe}} # hours
			max_entries = 255
		}
		verify {
		}
		ocsp {
			enable = no
			override_cert_url = yes
			url = "http://127.0.0.1/ocsp/"
		}
	}
	{% if config.method.peap %}# enable peap
	peap {
		default_eap_type = mschapv2
		copy_request_to_tunnel = no
		use_tunneled_reply = no
		virtual_server = "inner-tunnel"
	}
	{% else %}# disable peap
	{% endif %}
	{% endif %}
}
