# -*- text -*-

prefix = /usr/local
exec_prefix = /usr/local
sysconfdir = /mnt/data/etc
localstatedir = /var
sbindir = ${exec_prefix}/sbin
logdir = /mnt/data/log/freeradius
raddbdir = /mnt/data/etc/freeradius
radacctdir = ${logdir}/radacct
name = freeradius
confdir = ${raddbdir}
run_dir = ${localstatedir}/run/${name}
db_dir = ${raddbdir}
libdir = /usr/local/lib/freeradius
pidfile = ${run_dir}/${name}.pid
user = freerad
group = freerad
max_request_time = {{config.radiusd.max_request_time|safe}}
cleanup_delay = {{config.radiusd.cleanup_delay|safe}}
max_requests = {{config.radiusd.max_requests|safe}}

listen {
	ipaddr = *
	port = {{config.sites.default.listen.auth.v4.port|safe}}
	type = auth
}

listen {
	ipaddr = *
	port = 0
	type = acct
}

hostname_lookups = no
allow_core_dumps = no
regular_expressions	= yes
extended_expressions	= yes

log {
	destination = files
	file = ${logdir}/radius.log
	syslog_facility = daemon
	stripped_names = no
	auth = no
	auth_badpass = no
	auth_goodpass = no
	msg_goodpass = ""
	msg_badpass = ""
}

checkrad = ${sbindir}/checkrad

security {
	max_attributes = {{config.radiusd.security.max_attributes|safe}}
	reject_delay = {{config.radiusd.security.reject_delay|safe}}
	status_server = {{config.radiusd.security.status_server|safe}}
	allow_vulnerable_openssl = no
}

proxy_requests  = no
$INCLUDE proxy.conf

$INCLUDE clients.conf

thread pool {
	start_servers = {{config.radiusd.thread_pool.start_servers|safe}}
	max_servers = {{config.radiusd.thread_pool.max_servers|safe}}
	min_spare_servers = {{config.radiusd.thread_pool.min_spare_servers|safe}}
	max_spare_servers = {{config.radiusd.thread_pool.max_spare_servers|safe}}
	max_queue_size = {{config.radiusd.thread_pool.max_queue_size|safe}}
	max_requests_per_server = {{config.radiusd.thread_pool.max_requests_per_server|safe}}
}

modules {
	$INCLUDE ${confdir}/modules/
	$INCLUDE eap.conf
}

instantiate {
	exec
	expr
#	daily
	expiration
	logintime
}

$INCLUDE policy.conf

$INCLUDE sites-enabled/

