authorize {
#	filter_username
	preprocess
#	auth_log
	chap
	mschap
	digest
#	wimax
#	IPASS
	suffix
#	ntdomain

	if(!EAP-Message){
		{% if config.method.macaddr %}# enable mac-auth
		if(&Calling-Station-Id){
			# Calling-Station-Id is available
			if(Calling-Station-Id =~ /^([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})$/i){
				rewrite_calling_station_id
				authorized_macs
				if(!ok){
					reject
				}
				else{
					update control {
						Auth-Type := Accept
					}
				}
			}
		}
		else{
			# Calling-Station-Id is not available
			if(User-Name =~ /^([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})[^0-9a-f]?([0-9a-f]{2})$/i){
				rewrite_user_name
				authorized_macs_with_user_name
				if(!ok){
					reject
				}
				else{
					update control {
						Auth-Type := Accept
					}
				}
			}
		}
		{% else %}# disable mac-auth
		{% endif %}
	}
	else{
		eap {
			ok = return
		}
	}
#	unix
	files
#	sql
#	smbpasswd
#	ldap
#	daily
#	checkval
	expiration
	logintime
	pap
#	Auth-Type Status-Server {
#
#	}
}

authenticate {
	Auth-Type PAP {
		pap
	}
	Auth-Type CHAP {
		chap
	}
	Auth-Type MS-CHAP {
		mschap
	}
	digest
#	pam
	unix
#	Auth-Type LDAP {
#		ldap
#	}
	eap
#	Auth-Type eap {
#		eap {
#			handled = 1  
#		}
#		if (handled && (Response-Packet-Type == Access-Challenge)) {
#			attr_filter.access_challenge.post-auth
#			handled  # override the "updated" code from attr_filter
#		}
#	}
}

preacct {
	preprocess
#	  update request {
#	  	FreeRADIUS-Acct-Session-Start-Time = "%{expr: %l - %{%{Acct-Session-Time}:-0} - %{%{Acct-Delay-Time}:-0}}"
#	}
	acct_unique
#	IPASS
	suffix
#	ntdomain
	files
}

accounting {
	detail
#	daily
#	unix
#	radutmp
#	sradutmp
#	main_pool
#	sql
#	if (noop) {
#		ok
#	}
#	sql_log
#	pgsql-voip
	exec
	attr_filter.accounting_response
#	Acct-Type Status-Server {
#
#	}
}

session {
	radutmp
#	sql
}

post-auth {
#	main_pool
#	reply_log
#	sql
#	sql_log
#	ldap
	exec
#	wimax
#	update reply {
#	       Reply-Message += "%{TLS-Cert-Serial}"
#	       Reply-Message += "%{TLS-Cert-Expiration}"
#	       Reply-Message += "%{TLS-Cert-Subject}"
#	       Reply-Message += "%{TLS-Cert-Issuer}"
#	       Reply-Message += "%{TLS-Cert-Common-Name}"
#	       Reply-Message += "%{TLS-Cert-Subject-Alt-Name-Email}"
#
#	       Reply-Message += "%{TLS-Client-Cert-Serial}"
#	       Reply-Message += "%{TLS-Client-Cert-Expiration}"
#	       Reply-Message += "%{TLS-Client-Cert-Subject}"
#	       Reply-Message += "%{TLS-Client-Cert-Issuer}"
#	       Reply-Message += "%{TLS-Client-Cert-Common-Name}"
#	       Reply-Message += "%{TLS-Client-Cert-Subject-Alt-Name-Email}"
#	}
#	if (reply:EAP-Session-Id) {
#		update reply {
#			EAP-Key-Name := "%{reply:EAP-Session-Id}"
#		}
#	}
	#	if (updated) {
	#		update reply {
	#			MS-MPPE-Recv-Key !* 0x00
	#			MS-MPPE-Send-Key !* 0x00
	#		}
	#	}
	Post-Auth-Type REJECT {
#		sql
		eap
		attr_filter.access_reject
		if(!EAP-Message){
			exec_eventlog_reject_mac
		}
		else {
			exec_eventlog_reject_user
		}
	}
	if(!EAP-Message){
		exec_eventlog_accept_mac
	}
	else {
		exec_eventlog_accept_user
 	}
}

pre-proxy {
#	attr_rewrite
#	files
#	attr_filter.pre-proxy
#	pre_proxy_log
}

post-proxy {
#	post_proxy_log
#	attr_rewrite
#	attr_filter.post-proxy
	eap
#	Post-Proxy-Type Fail {
#			detail
#	}
}

