# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os

from django.utils.translation import ugettext as _
from django import forms
from project.forms.fields.extras.validators.fal import FALValidator


SECRETKEY_MAX_LENGTH = 255


class SecretkeyValidator(FALValidator):
    validator = 'NoCheck'
    options = {
        'max_length': SECRETKEY_MAX_LENGTH,
    }
class SecretkeyField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', _(u'secret key'))
        kwargs['validators'] = kwargs.get('validators', [SecretkeyValidator()])
        super(SecretkeyField, self).__init__(*args, **kwargs)

