# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os

from django.utils.translation import ugettext as _
from django import forms
from project.forms.fields.extras.validators.fal import FALValidator


class MacAddressFieldValidator(FALValidator):
    validator = 'NoCheck'
    options = {
        'min_length': 12,
        'max_length': 17,
    }
class MacAddressField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', _(u'MAC Address'))
        kwargs['validators'] = kwargs.get('validators', [MacAddressFieldValidator()])
        super(MacAddressField, self).__init__(*args, **kwargs)

