# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os

from django.utils.translation import ugettext as _
from django import forms
from project.forms.fields.extras.validators.fal import FALValidator


USERNAME_MAX_LENGTH = 127


class UsernameValidator(FALValidator):
    validator = 'NoCheck'
    options = {
        'max_length': USERNAME_MAX_LENGTH,
    }

class UsernameField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', _(u'Username'))
        kwargs['validators'] = kwargs.get('validators', [UsernameValidator()])
        super(UsernameField, self).__init__(*args, **kwargs)

class PasswordField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', _(u'Password'))
        kwargs['widget'] = kwargs.get('widget', forms.widgets.PasswordInput(render_value=True))
        super(PasswordField, self).__init__(*args, **kwargs)
